Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.verisign.epp.codec.idntable
Enum EPPIdnTableInfoDomainTable.Type

    java.lang.Object
      java.lang.Enum<EPPIdnTableInfoDomainTable.Type>
          com.verisign.epp.codec.idntable.EPPIdnTableInfoDomainTable.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EPPIdnTableInfoDomainTable.Type>

Enclosing class:
  EPPIdnTableInfoDomainTable

    public static enum EPPIdnTableInfoDomainTable.Type

extends java.lang.Enum<EPPIdnTableInfoDomainTable.Type>

Table types, that include:

- `LANGUAGE` that represents a Language IDN Table.
- `SCRIPT` that represents a Script IDN Table.

Enum Constant Summary
`LANGUAGE`
`SCRIPT`

Method Summary
`static EPPIdnTableInfoDomainTable.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EPPIdnTableInfoDomainTable.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LANGUAGE

    public static final EPPIdnTableInfoDomainTable.Type LANGUAGE

### SCRIPT

    public static final EPPIdnTableInfoDomainTable.Type SCRIPT

Method Detail

### values

    public static EPPIdnTableInfoDomainTable.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (EPPIdnTableInfoDomainTable.Type c : EPPIdnTableInfoDomainTable.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static EPPIdnTableInfoDomainTable.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © VeriSign Inc. All Rights Reserved.